using New_College.Common;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace New_College.Model.Models
{
    public class V_CustomerInfo : EntityModel
    {
        /// <summary>
        /// 用户头像
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 用户code
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string UserCode { get; set; }

        /// <summary>
        /// 小程序openid
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string OpenId { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar", Length = 191, IsNullable = true, IsTranscoding = true)]
        public string NickName { get; set; }

        /// <summary>
        /// 性别 1男 2女
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Gender { get; set; }

        /// <summary>
        /// 电话
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Phone { get; set; }

        /// <summary>
        /// 用户密码
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string UserPwd { get; set; }

        /// <summary>
        /// 密码混合验证字段
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Salt { get; set; }


        /// <summary>
        ///学生所在学校
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string SchoolName { get; set; }

        /// <summary>
        /// 学生所在班级
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string ClassName { get; set; }
        /// <summary>
        /// 用户类型
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public CustomerTypeEnum CustomerType { get; set; } = CustomerTypeEnum.General;
        /// <summary>
        /// 省市区id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int AreaId { get; set; } = 0;
        /// <summary>
        /// 省市区名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string AreaName { get; set; }

        /// <summary>
        /// 状态：0、未启用，1、启用，2、禁用
        /// </summary>
        public int? Status { get; set; } = 1;

        /// <summary>
        ///学生数据是否初始化（省份，选科等）
        /// </summary>
        public bool? Datainit { get; set; } = false;

        /// <summary>
        /// 0(新高考)，1(文科,理科)
        /// </summary>
        public int? Subject { get; set; } = 0;

        /// <summary>
        /// 选科文字展示
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Subjectgroup { get; set; }


        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string subjectgroupName { get; set; }

        /// <summary>
        /// 考生预计分数
        /// </summary>
        public double? Expectedscore { get; set; } = 0;

        /// <summary>
        /// 是否为VIP
        /// </summary>
        public bool IsVIP { get; set; } = false;

        [SugarColumn(IsNullable = true)]
        public string VipCode { get; set; }

        /// <summary>
        /// 是否更新分数
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int IsUpdateScore { get; set; } = 0;

        /// <summary>
        /// 年份
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Year { get; set; } 

    }
}
